Subject: [Sip] Re: [draft-ietf-sip-outbound-07] Edge proxy mechanisms

From: Rohan Mahy <[email-masked]>
Date: Thu, 1 Mar 2007 09:37:45 -0800

On Feb 28, 2007, at 2:37, [email-masked] wrote:
> Hello,
>
>  About  draft-ietf-sip-outbound-07, I want to ask the following.
>
> Q-1)
>
>  About the edge proxy mechanisms I read
>
> {
> 5.1.  Processing Register Requests
>
>    When an Edge Proxy receives a registration request with a reg-id
>    header parameter in the Contact header field, it needs to determine
>    if it (the edge proxy) will have to be visited for any subsequent
>    requests sent to the user agent identified in the Contact header
>    field, or not.
> }
>
>
>  Because there is a " need to determine" then must be some cases that 
> "the edge proxy could not be visited again".
>  So I do not understand in the text above why "the edge proxy could 
> not be visited again for any subsequent requests sent to the UAC in 
> the Contact header  field".
>
>  I can only imagine one situation. The edge proxy could notice that 
> the domain of the UAC registering (in Contact header field) could 
> imply that it (the edge proxy) is not going to be visited again due 
> that to reach that UAC in the future the edge proxy will be not 
> involved...
>
>  Could you clarify the situation?

For example: Initial registration goes through edge-proxy1 then through 
a load-balancer front end and then to the registrar/home-proxy.  If the 
load-balancer isn't involved in future signaling, it doesn't need to 
add itself to the Path.

> Q-2)
>
>  How can the edge proxy determine if it will have to be visited again?

The first edge proxy probbaly needs to be visited.  If there are any 
other proxies, its really a matter of configuration if they are 
providing some function that the administrator of the domain wants 
involved in susequent signaling.

thanks,
-rohan

> Regards,
> Sergio

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip